Token (Axis API)
Keywords: org.apache.axis.types.Token class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class Token

    java.lang.Object
      org.apache.axis.types.NormalizedString
          org.apache.axis.types.Token

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Language, Name, NMToken

public class Token
extends NormalizedString

Custom class for supporting primitive XSD data type Token. token represents tokenized strings. The base type of token is normalizedString.

Author:
  Chris Haddad
See Also:
  XML Schema 3.3.2, Serialized Form

Constructor Summary
`Token()`
`Token(java.lang.String stValue)` ctor for Token

Method Summary
`static boolean` | `isValid(java.lang.String stValue)` validate the value against the xsd definition The value space of token is the set of strings that do not contain the line feed (#xA) nor tab (#x9) characters, that have no leading or trailing spaces (#x20) and that have no internal sequences of two or more spaces.
`void` | `setValue(java.lang.String stValue)` validates the data and sets the value for the object.

Methods inherited from class org.apache.axis.types.NormalizedString
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Token

    public Token()

### Token

    public Token(java.lang.String stValue)
          throws java.lang.IllegalArgumentException

  ctor for Token

Throws:
  `java.lang.IllegalArgumentException` - will be thrown if validation fails

Method Detail

### isValid

    public static boolean isValid(java.lang.String stValue)

  validate the value against the xsd definition The value space of token is the set of strings that do not contain the line feed (#xA) nor tab (#x9) characters, that have no leading or trailing spaces (#x20) and that have no internal sequences of two or more spaces. The lexical space of token is the set of strings that do not contain the line feed (#xA) nor tab (#x9) characters, that have no leading or trailing spaces (#x20) and that have no internal sequences of two or more spaces.

### setValue

    public void setValue(java.lang.String stValue)
                  throws java.lang.IllegalArgumentException

  validates the data and sets the value for the object.

  Overrides:
    `setValue` in class `NormalizedString`
  Parameters:
    `stValue` - String value
  Throws:
    `java.lang.IllegalArgumentException` - if invalid format

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.